Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025417
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-12-31 17:362014-02-12 18:29
ReporterjonalegriaesarteView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionno change requiredFixed in Version
StatusclosedFix in branchpiFixed in SCM revision333a41aab8a7
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025417: ComboTableData is not working with TABLE reference in modules

DescriptionComboTableData is not working with TABLE reference in modules
Steps To Reproduce- Define a reference type table in a module
- use it in a manual report
It fails

(I can provide a module to test it)
TagsNo tags attached.
Attached Filesdiff file icon combotable.diff [^] (519 bytes) 2013-12-31 17:36 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0063321)
hgbot (developer)
2014-01-09 05:16

Repository: erp/devel/pi
Changeset: 333a41aab8a757fe3a75ffe4e406195ea0757447
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Jan 09 09:42:14 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/333a41aab8a757fe3a75ffe4e406195ea0757447 [^]

Fixes Issue 0025417: ComboTableData is not working with TABLE reference in modules

ComboTableData is calculated for all modules.

---
M src/org/openbravo/erpCommon/utility/ComboTableQuery_data.xsql
---
(0063489)
hudsonbot (developer)
2014-01-17 15:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9669102eb541 [^]
Maturity status: Test
(0063543)
AugustoMauch (developer)
2014-01-20 16:32

This line [1] cannot be removed. It is placed in a function where the references are obtained using its name. It is not garanteed that the reference names are unique (a module can add a reference that has the same name as a core one), so it only fetches reference from core to ensure that it is unique (see [2]).

[1] https://code.openbravo.com/erp/devel/pi/rev/333a41aab8a757fe3a75ffe4e406195ea0757447#l1.7 [^]
[2] https://code.openbravo.com/erp/devel/pi/file/a36ee7789698/src/org/openbravo/erpCommon/utility/ComboTableData.java#l243 [^]
(0063707)
hgbot (developer)
2014-01-27 10:58

Repository: erp/devel/pi
Changeset: 6e74e41e0a0f259b8d6338ce15a942c2e00ac63f
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jan 27 15:17:00 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6e74e41e0a0f259b8d6338ce15a942c2e00ac63f [^]

Backout Issue 25417 : Backout changeset 333a41aab8a7

The changeset has been backed out as no change is required to fix this issue.

---
M src/org/openbravo/erpCommon/utility/ComboTableQuery_data.xsql
---
(0063709)
shankarb (developer)
2014-01-27 11:02

While defining table reference in manual reports/processes, UUID should be used instead of name in instantiating ComboTableData.
(0064117)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-12-31 17:36 jonalegriaesarte New Issue
2013-12-31 17:36 jonalegriaesarte Assigned To => AugustoMauch
2013-12-31 17:36 jonalegriaesarte File Added: combotable.diff
2013-12-31 17:36 jonalegriaesarte Modules => Core
2013-12-31 17:36 jonalegriaesarte Triggers an Emergency Pack => No
2014-01-02 08:27 shankarb Assigned To AugustoMauch => shankarb
2014-01-06 14:47 shankarb Status new => scheduled
2014-01-06 14:47 shankarb fix_in_branch => pi
2014-01-09 05:15 shankarb Issue Monitored: AugustoMauch
2014-01-09 05:16 shankarb Review Assigned To => AugustoMauch
2014-01-09 05:16 shankarb fix_in_branch pi =>
2014-01-09 05:16 hgbot Checkin
2014-01-09 05:16 hgbot Note Added: 0063321
2014-01-09 05:16 hgbot Status scheduled => resolved
2014-01-09 05:16 hgbot Resolution open => fixed
2014-01-09 05:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/333a41aab8a757fe3a75ffe4e406195ea0757447 [^]
2014-01-17 15:49 hudsonbot Checkin
2014-01-17 15:49 hudsonbot Note Added: 0063489
2014-01-20 16:32 AugustoMauch Note Added: 0063543
2014-01-20 16:32 AugustoMauch Status resolved => new
2014-01-20 16:32 AugustoMauch Resolution fixed => open
2014-01-27 07:20 shankarb Status new => scheduled
2014-01-27 07:20 shankarb fix_in_branch => pi
2014-01-27 10:58 hgbot Checkin
2014-01-27 10:58 hgbot Note Added: 0063707
2014-01-27 11:02 shankarb Note Added: 0063709
2014-01-27 11:02 shankarb Status scheduled => closed
2014-01-27 11:02 shankarb Resolution open => no change required
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064117


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker